<ng-template [ngIf]="!pagando" [ngIfElse]="load">
  <!--Navbar-->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#">Click & Clean</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" routerLink="../../index">Inicio </a>
        </li>
        <li class="nav-item ">
          <a class="nav-link" routerLink="../service">Servicios</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="../profile">Perfil</a>
        </li>
        <li class="nav-item ">
          <a class="nav-link" routerLink="../products">Productos
          </a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" routerLink="../cart">Carrito <mat-icon class="badge-icon" [matBadge]="carrito"></mat-icon>
          </a>
        </li>
        <li class="nav-item ">
          <a class="nav-link" routerLink="../contracts">Mis Contratos
          </a>
        </li>
      </ul>
      <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
        <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
        <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
          style="margin-left: 10px;">Registrarse</button>
      </ng-template>
      <ng-template #cuenta>
        <span class="usuario-menu">{{user.nombre_usuario}}</span>
        <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
      </ng-template>
    </div>
  </nav>
  <!--/.Navbar-->
  <section class="bg-light first-section" style="min-height: 400px;">
    <ng-template [ngIf]="carritoItemsServicio!=null || carritoItemsProducto!=null">
      <div class="container">
        <br>
        <div class="row">
          <div class="col-12 col-md-6">
            <mat-card>
              <ng-template [ngIf]="carritoItemsServicio.length>0">
                <div class="separator">{{carritoServicios}} Servicios por contratar</div>
                <div class="cart-items" *ngFor="let servicio of carritoItemsServicio">
                  <img [src]="servidor+'/imagenes/'+servicio.imagen_servicio"  onerror="this.onerror=null;this.src='../../../assets/images/logo_cc_b.png';">
                  <div class="cart-info">
                    <h4>{{servicio.nombre_servicio}}</h4>
                    <h5>${{servicio.costo_servicio | number: '0.2-2'}}</h5>
                    <div style="display: flex; margin: auto;">
                      <button class="btn btn-outline-danger btn-sm"
                        (click)="eliminarCarritoServicio(servicio.id_servicio)">Eliminar</button>
                    </div>
                  </div>
                </div>
              </ng-template>
              <ng-template [ngIf]="carritoItemsProducto.length>0">
                <div class="separator">{{carritoProductos}} Productos por comprar</div>
                <div class="cart-items" *ngFor="let producto of carritoItemsProducto">
                  <img [src]="servidor+'/imagenes/'+producto.imagen_producto"  onerror="this.onerror=null;this.src='../../../assets/images/logo_cc_b.png';">
                  <div class="cart-info">
                    <h4>{{producto.nombre_producto}}</h4>
                    <h5>${{producto.precio_producto | number: '0.2-2'}}</h5>
                    <div style="display: flex; margin: auto;">
                      <button class="btn btn-outline-danger btn-sm"
                        (click)="eliminarCarritoProducto(producto.id_producto)">Eliminar</button>
                    </div>
                  </div>
                </div>
              </ng-template>
            </mat-card>
          </div>
          <div class="col-12 col-md-6">
            <mat-card>
              <div class="separator">Resumen de orden</div>
              <mat-horizontal-stepper [linear]="false" #stepper (selectionChange)="step($event)">
                <mat-step [stepControl]="firstFormGroup" label="Direccion" state="phone">

                  <ng-template [ngIf]="inmuebles.length!=0">
                    <div class="separator">Seleccionar Dirección</div>
                    <mat-form-field appearance="fill">
                      <mat-label>Selecciona tu inmueble</mat-label>
                      <mat-select>
                        <mat-option *ngFor="let item of inmuebles" [value]="item.id_inmueble"
                          (onSelectionChange)="selectInmueble(item.id_inmueble,$event)">
                          {{item.calle_inm}} {{item.numero_inm}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </ng-template>
                  <div class="separator">Agregar Dirección</div>
                  <form [formGroup]="firstFormGroup">

                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text" for="direccion">Dirección</label>
                      </div>
                      <input type="text" class="form-control" id="direccion" name="direccion"
                        formControlName="direccion" required>
                    </div>


                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text" for="num_ext">Número de casa</label>
                      </div>
                      <input type="number" class="form-control" id="num_ext" name="num_ext" formControlName="numero"
                        required>
                    </div>

                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text" for="colonia">Colonia</label>
                      </div>
                      <input type="text" class="form-control" id="colonia" name="colonia" formControlName="colonia"
                        required>
                    </div>

                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text">Estado</label>
                      </div>
                      <select class="custom-select" id="estado" name="estado" formControlName="estado"
                        (change)="getCities($event.target.value)">
                        <label for="estado"></label>
                        <option value='' disabled selected>Selecciona un estado</option>
                        <option *ngFor="let state of states" id="{{state}}" [value]="state">{{ state }}</option>
                      </select>
                    </div>

                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text">Municipio</label>
                      </div>
                      <select class="custom-select" id="municipio" name="municipio" formControlName="ciudad">
                        <label for="municipio"></label>
                        <option value='' disabled selected>Selecciona un municipio</option>
                        <option *ngFor="let city of cities" id="{{city}}" [value]="city">{{ city }}</option>
                      </select>
                    </div>
                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <label class="input-group-text">Tipo de inmueble</label>
                      </div>
                      <select class="custom-select" id="tipo" name="tipo" formControlName="tipo">
                        <label for="tipo"></label>
                        <option value='' disabled selected>Selecciona un tipo</option>
                        <option [value]="'Hogar'">Hogar</option>
                        <option [value]="'Oficina'">Oficina</option>
                      </select>
                    </div>
                    <div>

                      <div class="input-group mb-3">
                        <div class="input-group-prepend">
                          <label class="input-group-text" for="num_cuartos">Número de cuartos</label>
                        </div>
                        <input type="number" class="form-control" id="num_cuartos" name="num_cuartos"
                          formControlName="cuartos" required>
                      </div>

                      <div class="input-group mb-3">
                        <div class="input-group-prepend">
                          <label class="input-group-text" for="num_plantas">Número de plantas</label>
                        </div>
                        <input type="number" class="form-control" id="num_plantas" name="num_plantas"
                          formControlName="plantas" required>
                      </div>
                      <button mat-button matStepperNext style="margin: auto; display: flex;">Siguiente</button>
                    </div>
                  </form>

                </mat-step>
                <mat-step [stepControl]="secondFormGroup" label="Elegir hora">


                  <div class="row">
                    <div class="col-12 col-md-6">
                      <ngb-timepicker class="btn-secondary" [ngModelOptions]="{standalone: true}" [(ngModel)]="time"
                        [meridian]="meridian" [minuteStep]="minuteStep"></ngb-timepicker>
                    </div>
                    <div class="col-12 col-md-6">
                      <ngb-timepicker class="btn-secondary" [ngModelOptions]="{standalone: true}" [(ngModel)]="time2"
                        [meridian]="meridian" [minuteStep]="minuteStep"></ngb-timepicker>
                    </div>
                  </div>

                  <form [formGroup]="secondFormGroup">
                    <mat-form-field appearance="fill">
                      <mat-label>Fechas de limpieza</mat-label>
                      <mat-date-range-input [formGroup]="range" [dateFilter]="myFilter" [rangePicker]="picker"
                        [min]="minDate">
                        <input matStartDate formControlName="start" (click)="picker.open()"
                          (dateInput)="changeDate($event,1)" placeholder="Fecha de inicio" readonly>
                        <input matEndDate formControlName="end" (click)="picker.open()"
                          (dateInput)="changeDate($event,2)" placeholder="Fecha de termino" readonly>
                      </mat-date-range-input>
                      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                      <mat-date-range-picker #picker></mat-date-range-picker>

                      <mat-error *ngIf="range.controls.start.hasError('matStartDateInvalid')">Invalid start date
                      </mat-error>
                      <mat-error *ngIf="range.controls.end.hasError('matEndDateInvalid')">Invalid end date</mat-error>
                    </mat-form-field>


                  </form>
                  <span class="example-list-section">
                    <mat-checkbox class="example-margin" [checked]="allComplete" [color]="task.color"
                      [indeterminate]="someComplete()" (change)="setAll($event.checked)">
                      {{task.name}}
                    </mat-checkbox>
                  </span>
                  <span class="example-list-section">
                    <ul>
                      <li *ngFor="let subtask of task.subtasks">
                        <mat-checkbox [(ngModel)]="subtask.completed" [color]="subtask.color"
                          (ngModelChange)="updateAllComplete()" [disabled]="subtask.disabled">
                          {{subtask.name}}
                        </mat-checkbox>
                      </li>
                    </ul>
                  </span>
                  <div>
                    <button mat-button matStepperPrevious>Regresar</button>
                    <button mat-button matStepperNext>Siguiente</button>
                  </div>
                </mat-step>
                <mat-step>
                  <ng-template matStepLabel>Pagar</ng-template>
                  <div class="row">
                    <div class="col-6">
                      <span> Inmueble:</span>
                    </div>
                    <div class="col-6">

                    </div>
                    <div class="col-6">
                      <span> Fechas:</span>
                    </div>
                    <div class="col-6">
                      {{secondFormGroup.value.start | date: 'dd/MM/yyyy'}} - {{secondFormGroup.value.end | date:
                      'dd/MM/yyyy'}}
                    </div>
                    <div class="col-6">
                      <span>Horario:</span>
                    </div>
                    <div class="col-6">
                      {{time.hour | number:'2.0-0'}}:{{time.minute | number:'2.0-0'}} - {{time2.hour |
                      number:'2.0-0'}}:{{time2.minute | number:'2.0-0'}}
                    </div>
                    <div class="col-6">
                      <span> Total:</span>
                    </div>
                    <div class="col-6">
                      <span>${{total | number: '0.2-2'}}</span>
                    </div>
                  </div>
                  <ng-template [ngIf]="tarjetasRegistradas!=null && !registrarNuevaTarjeta">
                    <mat-list>
                      <div mat-subheader>¿Cómo quieres pagar?</div>
                      <mat-list-item *ngFor="let tarjeta of tarjetasRegistradas" style="cursor: pointer;"
                        (click)="seleccionarTarjeta(tarjeta.id)"
                        [ngClass]="(tarjetasSeleccionada!=null && tarjetasSeleccionada==tarjeta.id)?'borderselected':''">
                        <mat-icon mat-list-icon>credit_card</mat-icon>
                        <div mat-line>**** {{tarjeta.card_number | slice:-4}}</div>
                        <div mat-line> {{tarjeta.brand}} </div>
                        <ng-template [ngIf]="tarjetasSeleccionada!=null && tarjetasSeleccionada==tarjeta.id">
                          <mat-icon (click)="eliminarTarjeta()">delete</mat-icon>
                        </ng-template>

                        <mat-divider></mat-divider>
                      </mat-list-item>

                      <mat-list-item style="cursor: pointer;" (click)="nuevaTarjeta()">
                        <mat-icon mat-list-icon>credit_card</mat-icon>
                        <div mat-line>Nueva tarjeta</div>
                        <mat-divider></mat-divider>
                      </mat-list-item>

                    </mat-list>
                    <ng-template [ngIf]="tarjetasSeleccionada!=null">
                      <button type="button" (click)="pagarConTarjetaSeleccionada()" mat-raised-button color="primary"
                        style="margin: auto; display: flex; outline: none;">Contratar</button>
                    </ng-template>

                    <div style="margin-top: 15px; display: flex;">
                      <button mat-button matStepperPrevious style=" margin: auto;">Regresar</button>
                      <button mat-button (click)="stepper.reset()" style="margin: auto;">Reiniciar</button>
                    </div>

                  </ng-template>
                  <ng-template [ngIf]="registrarNuevaTarjeta">

                    <form [formGroup]="cardFormGroup" #payment="ngForm" (ngSubmit)="pagar(cardFormGroup)"
                      id="payment-form">
                      <div class="bkng-tb-cntnt">

                        <div class="pymnts">
                          <input type="hidden" name="token_id" id="token_id">
                          <div class="pymnt-itm card active">

                            <div class="pymnt-cntnt">
                              <div class="card-expl">
                                <div class="credit">
                                  <h4>Tarjetas de crédito</h4>
                                  <div class="example-button-container" style="float: right; margin-right: 10px;">
                                    <button type="button" mat-mini-fab (click)="nuevaTarjeta()" color="primary"
                                      aria-label="Regresar" style="outline: none;">
                                      <mat-icon>keyboard_return</mat-icon>
                                    </button>
                                  </div>
                                </div>
                                <div class="debit">
                                  <h4>Tarjetas de débito</h4>
                                </div>
                              </div>
                              <div class="sctn-row">
                                <div class="sctn-col l">
                                  <label>Nombre del titular</label>
                                  <input type="text" placeholder="Como aparece en la tarjeta"
                                    [ngClass]="(myTitular.status=='INVALID' && myTitular.touched==true)?'error':''"
                                    autocomplete="off" data-openpay-card="holder_name" formControlName="titular"
                                    name="titular">
                                </div>
                                <div class="sctn-col">
                                  <label>Número de tarjeta</label>
                                  <input type="text" autocomplete="off"
                                    [ngClass]="(myTarjeta.status=='INVALID' && myTarjeta.touched==true)?'error':''"
                                    data-openpay-card="card_number" formControlName="tarjeta" name="tarjeta">
                                </div>
                              </div>
                              <div class="sctn-row">
                                <div class="sctn-col l">
                                  <label>Fecha de expiración</label>
                                  <div class="sctn-col half l">
                                    <input type="text" placeholder="Mes"
                                      [ngClass]="(myMonthExp.status=='INVALID' && myMonthExp.touched==true)?'error':''"
                                      data-openpay-card="expiration_month" formControlName="mes" name="mesexp">
                                  </div>
                                  <div class="sctn-col half l">
                                    <input type="text" placeholder="Año"
                                      [ngClass]="(myYearExp.status=='INVALID' && myYearExp.touched==true)?'error':''"
                                      data-openpay-card="expiration_year" formControlName="ano" name="anoexp">
                                  </div>
                                </div>
                                <div class="sctn-col cvv"><label>Código de seguridad</label>
                                  <div class="sctn-col half l">
                                    <input type="text" placeholder="CVV" autocomplete="off"
                                      [ngClass]="(myCVV.status=='INVALID' && myCVV.touched==true)?'error':''"
                                      data-openpay-card="cvv2" formControlName="cvv" name="cvv">
                                  </div>
                                </div>
                                <div style="display: flex; width: 100%;">
                                  <button type="submit" mat-raised-button color="primary"
                                    style="margin: auto; display: flex; outline: none;">Contratar</button>
                                </div>
                              </div>
                              <div class="openpay">
                                <div class="logo">Transacciones realizadas vía:</div>
                                <div class="shield">Tus pagos se realizan de forma segura con encriptación de 256 bits
                                </div>
                              </div>

                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </ng-template>



                </mat-step>
                <!-- Icon overrides. -->
                <ng-template matStepperIcon="phone">
                  <mat-icon>phone</mat-icon>
                </ng-template>
                <ng-template matStepperIcon="chat">
                  <mat-icon>forum</mat-icon>
                </ng-template>
              </mat-horizontal-stepper>


            </mat-card>
          </div>
        </div>
      </div>
    </ng-template>
  </section>

  <!-- footer section -->
  <footer class="site-footer bg-dark">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="row">
            <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
              <h2 class="footer-heading mb-4">Mapa del sitio</h2>
              <ul class="list-unstyled">
                <li><a href="index/perfil">Perfil</a></li>
                <li><a href="index">Tienda</a></li>
                <li><a href="index/carrito">Carrito</a></li>
                <li><a href="index/rentas">Mis rentas</a></li>
              </ul>
            </div>
            <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
              <h2 class="footer-heading mb-4">Acerca de nosotros</h2>
              <ul class="list-unstyled">
                <li><a href="#">Acerca de nosotros</a></li>
                <li><a href="#">Servicios</a></li>
                <li><a href="#">Soporte</a></li>
                <li><a href="#">Contactanos</a></li>
              </ul>
            </div>

            <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
              <h2 class="footer-heading mb-4">Siguenos</h2>
              <a href="#" class="pl-0 pr-3"><span class="fa fa-facebook"></span></a>
              <a href="#" class="pl-3 pr-3"><span class="fa fa-twitter"></span></a>
              <a href="#" class="pl-3 pr-3"><span class="fa fa-instagram"></span></a>
              <a href="#" class="pl-3 pr-3"><span class="fa fa-linkedin"></span></a>
            </div>
            <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
              <h2 class="footer-heading mb-4">Suscribete a nosotros</h2>
              <p>Enterate de las ultimas novedades de la pagina</p>
              <form action="#" method="post">
                <div class="input-group mb-3">
                  <input type="text" class="form-control bg-light" placeholder="Enter Email" aria-label="Enter Email"
                    aria-describedby="button-addon2">
                  <div class="input-group-append">
                    <button class="btn btn-primary text-white" type="button" id="button-addon2">Send</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>

      </div>
      <div class="row pt-5 mt-5">
        <div class="col-12 text-md-center text-left">
          <p>
            Copyright &copy; 2020 All rights reserved | POWERED <i class="icon-home text-danger" aria-hidden="true"></i>
            by <a href="" target="_blank">Click & Clean</a>
          </p>
        </div>
      </div>
    </div>
  </footer>
</ng-template>
<ng-template #load>
  <div class="loading" style="display: flex; margin: auto;">

    <ngx-typed-js [strings]="['Espere un momento', 'Realizando pago']" [loop]="true" [typeSpeed]="50"
      [showCursor]="false" [backSpeed]="50" [backDelay]="2000" style="display: flex; margin: auto;">
      <h1 class="typing"></h1>
    </ngx-typed-js>


  </div>
  <div class="loading-spinner" style="display: flex; margin: auto;">

    <mat-progress-spinner mode="indeterminate" style="display: flex; margin: auto;" diameter="500" color="primary"
      strokeWidth="25"></mat-progress-spinner>


  </div>
</ng-template>